ValueHolderBase Class Reference

base class for holding a QoreValue object More...

`#include <QoreValue.h>`

Inheritance diagram for ValueHolderBase:
[legend]
Collaboration diagram for ValueHolderBase:
[legend]

## Public Member Functions

DLLLOCAL | ValueHolderBase (ExceptionSink *xs)
| creates an ampty object
DLLLOCAL | ValueHolderBase (QoreValue n_v, ExceptionSink *xs)
| creates the object with the given value
DLLLOCAL QoreValue & | operator* ()
| returns the value being managed
DLLLOCAL const QoreValue & | operator* () const
| returns the value being managed
DLLLOCAL QoreValue * | operator-> ()
| returns the value being managed
DLLLOCAL const QoreValue * | operator-> () const
| returns the value being managed

## Protected Attributes

QoreValue | v
| the value held
ExceptionSink * | xsink
| for possible Qore-language exceptions

## Detailed Description

base class for holding a QoreValue object

The documentation for this class was generated from the following file:

- include/qore/QoreValue.h